Page MenuHomePhabricator

Manage translations for fixcopyright.wikimedia.org
Closed, ResolvedPublic

Description

translatewiki.net will be used to provide translations. This task covers the process of vetting and deploying translations.

Event Timeline

Legoktm added subscribers: Nikerabbit, Raymond, Legoktm.

They want to be able to vet/manually review the translations before they're deployed on the live site. I was thinking that we could have l10n-bot not approve its own commits, allow a human to review them, and then LocalisationUpdate would take care of deploying the changes.

This will be tricky. Whenever the l10n-bot cannot approve/merge one of its commits (due to a read only repo or something else) the export script breaks :-(

Are these going to be in a regular mediawiki extension (mediawiki/extensions/* in Gerrit) or in a differently located repo?

Are these going to be in a regular mediawiki extension (mediawiki/extensions/* in Gerrit) or in a differently located repo?

Regular ones, specifically mediawiki/extensions/EUCopyrightCampaign and mediawiki/skins/EUCopyrightCampaignSkin.

Change 457095 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[translatewiki@master] Don't auto-merge patches in EUCopyrightCampaign repositories

https://gerrit.wikimedia.org/r/457095

Legoktm triaged this task as High priority.Sep 4 2018, 11:48 PM

What's the status here? Are the repos ready to be added?

They will be ready later today once T203095 is complete.

The site just went live a little while ago with the extension and skin ready for translation. But, there is still a need to prevent the translations from being automatically deployed.

@Nikerabbit what is the best way to proceed here? We'd like to make translation available on translatewiki.net as soon as possible, but we also want to be able to have somebody vet the translations before they go live on the site.

Change 458500 had a related patch set uploaded (by Nemo bis; owner: Federico Leva):
[translatewiki@master] Add EU copyright campaign extension and skin

https://gerrit.wikimedia.org/r/458500

The best way is to not ask an exception, since I doubt anyway that WMF has anyone to check dozens or hundreds of languages. But we can add the extension now and figure out the export later in the evening, before export time.

I completely agree that it would be a significant challenge to check all languages. The campaign is directed to those in the EU to enable them to contact their Members of the EU Parliament. There is a desire to add an extra layer of quality control to some key languages.

One thing is that the custom language selector (which I complained about in the other task) has a specific set of languages. I have been lead to think that you are not going to show translations in all languages, so I need the list of allowed languages.

The weird language selector has:

<div id='language-select-button' aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-inputWidget oo-ui-dropdownInputWidget oo-ui-dropdownInputWidget-php dd-languages' data-ooui='{"_":"OO.ui.DropdownInputWidget","options":[{"data":"bg","label":"BG"},{"data":"cs","label":"CS"},{"data":"da","label":"DA"},{"data":"de","label":"DE"},{"data":"el","label":"EL"},{"data":"en","label":"EN"},{"data":"es","label":"ES"},{"data":"et","label":"ET"},{"data":"fi","label":"FI"},{"data":"fr","label":"FR"},{"data":"ga","label":"GA"},{"data":"hr","label":"HR"},{"data":"hu","label":"HU"},{"data":"it","label":"IT"},{"data":"lt","label":"LT"},{"data":"lv","label":"LV"},{"data":"mt","label":"MT"},{"data":"nl","label":"NL"},{"data":"pl","label":"PL"},{"data":"pt","label":"PT"},{"data":"ro","label":"RO"},{"data":"sk","label":"SK"},{"data":"sl","label":"SL"},{"data":"sv","label":"SV"}],"$overlay":true,"value":"ga"}'>

There is a desire to add an extra layer of quality control to some key languages.

Off-wiki review reduces quality.

Change 458500 merged by jenkins-bot:
[translatewiki@master] Add EU copyright campaign extension and skin

https://gerrit.wikimedia.org/r/458500

Change 457095 merged by jenkins-bot:
[translatewiki@master] Don't auto-merge patches in EUCopyrightCampaign repositories

https://gerrit.wikimedia.org/r/457095

Daimona added a subscriber: Daimona.Sep 6 2018, 2:27 PM

@Nikerabbit The italian translations are being hand-written on etherpad, as I meant to send them directly via gerrit. Since we almost finished the JSON for the extension, I hope it's not a problem to go ahead and send it there.

Nemo_bis added a comment.EditedSep 6 2018, 2:29 PM

@Nemo_bis says that the list of languages I took from the language selector is incomplete, though.

I mean we've now enabled the 24 official languages of EU which the selector allows, but users might want to translate in additional languages and manually link them (e.g. Catalan, Welsh).

@Nikerabbit The italian translations are being hand-written on etherpad, as I meant to send them directly via gerrit. Since we almost finished the JSON for the extension, I hope it's not a problem to go ahead and send it there.

I hope it happens ASAP (with ping to us so that we know to import them), given it's now open for translation at translatewiki.net and redundant work causing conflicts can happen anytime.

@Nikerabbit We almost finished the translations, I hope to send a patch within half an hour. I'll ping you here as it'll be ready.

Change 458521 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/EUCopyrightCampaign@master] Add italian translation

https://gerrit.wikimedia.org/r/458521

@Nikerabbit there we go. Also, I'm seizing the opportunity to report a couple of possibly wrong thing in english messages:

  1. eucc-restart-label is currently unused and it's not completed.
  2. eucc-learn-more as above.
  3. eucc-share-tweet-text is meant to be used in english only. The parameter $1 is the #fixcopyright hashtag (not localized), and told them to $1 in the EU doesn't make much sense in other languages.
Nemo_bis added a comment.EditedSep 6 2018, 3:22 PM

Yes, there are a number of problems in the English text which make translation unnecessarily hard; thanks for reporting some. I was hoping to get a Phabricator component for the extension so that reporting is possible as normal.

(#FixCopyright is actually used in Italian tweets as well, but combining it in sentences is clunky.)

Thank you for the translation and for reporting the issues! The extension and skin were developed quite quickly to be ready for the upcoming vote, so I do appreciate you finding and reporting any issues that may have slipped in.

Thank you for the translation and for reporting the issues! The extension and skin were developed quite quickly to be ready for the upcoming vote, so I do appreciate you finding and reporting any issues that may have slipped in.

Many thanks :-) I guess we'll need a relatively quick review so that people on translatewiki will be able to fix the translations. BTW, I'm aware of how shortly all this process was done, and I'd also fix the spotted issues myself, but I don't want to deal with code I don't know. Actually, I don't know whether those messages were intended to be eventually used, or they were just left there accidentally.

I was hoping to get a Phabricator component for the extension so that reporting is possible as normal.

Created fixcopyright.wikimedia.org to encompass the extension+skin and the site itself.

Change 458521 merged by jenkins-bot:
[mediawiki/extensions/EUCopyrightCampaign@master] Add italian translation

https://gerrit.wikimedia.org/r/458521

Change 458586 had a related patch set uploaded (by Cicalese; owner: Daimona Eaytoy):
[mediawiki/extensions/EUCopyrightCampaign@wmf/1.32.0-wmf.20] Add italian translation

https://gerrit.wikimedia.org/r/458586

Change 458586 merged by jenkins-bot:
[mediawiki/extensions/EUCopyrightCampaign@wmf/1.32.0-wmf.20] Add italian translation

https://gerrit.wikimedia.org/r/458586

Mentioned in SAL (#wikimedia-operations) [2018-09-06T23:46:51Z] <thcipriani@deploy1001> Started scap: SWAT: [[gerrit:458586|Add italian translation]] T203297 [[gerrit:458609|Improve German translation]] [[gerrit:458617|German translation: Replace "Vertreter" by "EU-Abgeordnete"]]

Mentioned in SAL (#wikimedia-operations) [2018-09-07T00:21:30Z] <thcipriani@deploy1001> Finished scap: SWAT: [[gerrit:458586|Add italian translation]] T203297 [[gerrit:458609|Improve German translation]] [[gerrit:458617|German translation: Replace "Vertreter" by "EU-Abgeordnete"]] (duration: 34m 38s)

tramm added a subscriber: tramm.Sep 7 2018, 7:06 AM

New translations from translatewiki.net were made avalaible:

I have +2ed them as they looked okay to me.

Please let us know if we can continue to approve this changes or, to the contrary, we cannot. This is important because otherwise you'll get a backlog of translatewiki.net patches in the extension dashboard and maybe you don't want to deal with all of that.

Thank you.

Thank you very much for your help, but please do not continue to approve changes to the translations in the future. The translations were awaiting review from our Legal team. But, I will try to make sure that review happens more quickly in the future so we do not get backlogged.

Thank you very much for your help, but please do not continue to approve changes to the translations in the future. The translations were awaiting review from our Legal team. But, I will try to make sure that review happens more quickly in the future so we do not get backlogged.

Ack. Best regards.

Now that the campaign is over, the skin and extension will need to be removed from translatewiki.net so that no more unnecessary translations are generated.

Change 460208 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Revert EUCopyrightCampaign

https://gerrit.wikimedia.org/r/460208

Change 460208 merged by jenkins-bot:
[translatewiki@master] Revert EUCopyrightCampaign

https://gerrit.wikimedia.org/r/460208

Nikerabbit closed this task as Resolved.Sep 13 2018, 7:46 AM
Nikerabbit claimed this task.
Nikerabbit removed a project: Patch-For-Review.